<?php
$pobQueryVersion= 0.1 ;

class pobObject
{

	public  $id;
	public  $cssclass;
	public 	$style;
	public 	$simbol='#';
	
	
	public function __construct($id, $cssclass)
	{
		$this->id= $id;
		$this->cssclass= $cssclass;
	
	}

	public function bind($event,$function, $flag='callback')
	{
		if ($flag=='callback')
			echo "$('".$this->simbol.$this->id."').bind('".$event."', function() {".$function."});" ;
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').bind('".$event."', function() {".$function."}); </script>" ;
			
	}
	public function unbind($event, $flag='callback')
	{
		if ($flag=='callback')
			echo "$('".$this->simbol.$this->id."').unbind('".$event."');" ;
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').unbind('".$event."'); </script>" ;
	}
	
	
	public function onClick($func)
	{
		$this->bind('click',$func, 'run');
	}
	
	public function onRightClick($func)
	{
		$this->bind('contextmenu',$func, 'run');
	}
	
	public function shortcut($char0, $char1, $func, $flag='run')
	{
		if ($char0 == 'ctrl') $char0= 'ctrlKey';
		if ($char0 == 'alt') $char0= 'altKey';
		if ($char0 == 'shift') $char0= 'shiftKey';
		
		if ($flag=='callback')
			return "$('$this->simbol$this->id').keydown(function(evt){
						if (evt.keyCode==$char1 && (evt.$char0) ){
							evt.preventDefault();
							$func
						}
					});" ;
					
		if ($flag=='run')
			echo "<script>
					$('$this->simbol$this->id').keydown(function(evt){
						if (evt.keyCode==$char1 && (evt.$char0) ){
							evt.preventDefault();
							$func
						}
					});
			</script>" ;
	}
	
	public function setAttr($attr,$value, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').attr('".$attr."', '".$value."'); ";
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').attr('".$attr."', '".$value."') ; </script>";	
	}
	public function getAttr($attr, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').attr('".$attr."'); ";
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').attr('".$attr."'); </script>";	
	}
	public function removeAttr($attr, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').removeAttr('".$attr."'); ";
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').removeAttr('".$attr."'); </script>";	
	}
	
	public function css($cssproperty, $value='', $flag='callback')
	{
		if ($flag=='callback')
			if($value!='') return '$(\''.$this->simbol.$this->id.'\').css(\''.$cssproperty.'\', \''.$value.' \');';
			if($value=='') return '$(\''.$this->simbol.$this->id.'\').css(\''.$cssproperty.'\');';
		if ($flag=='run')
			if($value!='') echo '<script> $(\''.$this->simbol.$this->id.'\').css(\''.$cssproperty.'\', \''.$value.' \'); </script>';
			if($value=='') echo '<script> $(\''.$this->simbol.$this->id.'\').css(\''.$cssproperty.'\'); </script>';
	}
	
	public function getHtml()
	{
		return ' $(\''.$this->simbol.$this->id.'\').html() ' ;
	}
	public function setHtml($html,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').html(\''.$html.'\'); ' ;
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').html(\''.$html.'\'); </script>' ;
	}
	
	public function append($html,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').append(\''.$html.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').append(\''.$html.'\'); </script>' ;
	}
	public function appendTo($sel,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').appendTo(\''.$sel.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').appendTo(\''.$sel.'\'); </script>' ;
	}
	
	
	
	public function prepend($html,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').prepend(\''.$html.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').prepend(\''.$html.'\'); </script>' ;
	}
	public function prependTo($sel,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').prependTo(\''.$sel.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').prependTo(\''.$sel.'\'); </script>' ;
	}
	
	
	public function insertAfter($target,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').insertAfter(\''.$target.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').insertAfter(\''.$target.'\'); </script>' ;
	}
	public function insertBefore($target,$flag='callback')
	{
		if ($flag=='callback')
			return ' $(\''.$this->simbol.$this->id.'\').insertBefore(\''.$target.'\');	' ;
		
		if ($flag=='run')
			echo '<script> $(\''.$this->simbol.$this->id.'\').insertBefore(\''.$target.'\'); </script>' ;
	}
	  
	
	public function addClass($class, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').addClass('$class');" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').addClass('$class'); </script>" ;	
	}
	
	public function removeClass($class, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').removeClass('$class');" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').removeClass('$class'); </script>" ;	
	}
	
	
	public function toggleClass($class, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').toggleClass('$class');" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').toggleClass('$class'); </script>" ;	
	}
	
	public function toggle($flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').toggle();" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').toggle(); </script>" ;	
	}
	public function show($flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').show();" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').show(); </script>" ;	
	}
	public function hide($flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').hide();" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').hide(); </script>" ;	
	}
	
	public function fadeIn($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').fadeIn($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').fadeIn($time, function () { $func  } ); </script>" ;	
	}
	public function fadeOut($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').fadeOut($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').fadeOut($time, function () { $func  } ); </script>" ;	
	}
	public function fadeToggle($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').fadeToggle($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').fadeToggle($time, function () { $func  } ); </script>" ;	
	}
	public function slideUp($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').slideUp($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').slideUp($time, function () { $func  } ); </script>" ;	
	}
	public function slideDown($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').slideDown($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').slideDown($time, function () { $func  } ); </script>" ;	
	}
	public function slideToggle($time,$func, $flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').slideToggle($time, function () { $func  } );" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').slideToggle($time, function () { $func  } ); </script>" ;	
	}
	
	public function animate($anim,$time, $func, $flag='callback')
	{
		if ($flag=='callback')
			return  "$('".$this->simbol.$this->id."').animate({	$anim }, 
																$time, 
																function() { $func  });" ;
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').animate({	$anim }, 
																$time, 
																function() { $func  }); </script>" ;														
	}
	public function stop($flag='callback')
	{
		if ($flag=='callback')
			return  "$('".$this->simbol.$this->id."').stop()" ;
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').stop() </script>" ;														
	}
	public function clearQueue($flag='callback')
	{
		if ($flag=='callback')
			return  "$('".$this->simbol.$this->id."').clearQueue()" ;
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').clearQueue() </script>" ;														
	}
	
	
	public function remove($flag='callback')
	{
		if ($flag=='callback')
			return " $('".$this->simbol.$this->id."').remove();" ;
		
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').remove(); </script>" ;	
	}
	
	public function load($loadingHtml, $url,$err='',$success='',$flag='callback')
	{
		if ($flag=='callback')
		return '$("'.$this->simbol.$this->id.'").html("'.$loadingHtml.'").load("'.$url.'", function(response, status, xhr) {
					if (status == "error") {'.$err.'; $("'.$this->simbol.$this->id.'").html(" ") ;}
					if (status == "success") {'.$success.';}
				}) ;'  ;
	
	if ($flag=='run')
		echo '<script>
				$("'.$this->simbol.$this->id.'").html("'.$loadingHtml.'").load("'.$url.'", function(response, status, xhr) {
				  if (status == "error") {'.$err.'; $("'.$this->simbol.$this->id.'").html(" ") ;}
				  if (status == "success") {'.$success.';}
				});
			 </script>';
	}
	
	public function disabled($flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').attr('disabled', 'disabled'); ";
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').attr('disabled', 'disabled'); </script>";	
	
	}
	public function enabled($flag='callback')
	{
		if ($flag=='callback')
			return "$('".$this->simbol.$this->id."').removeAttr('disabled');  ";
		if ($flag=='run')
			echo "<script> $('".$this->simbol.$this->id."').removeAttr('disabled');  </script>";	
	
	}
	
	public function top() 
	{
		return "$('".$this->simbol.$this->id."').offset().left " ;
	}
	public function left() 
	{
		return "$('".$this->simbol.$this->id."').offset().top " ;
	}
	
	
	
	public function __destruct()
	{
		// ...
	}

}

function startTimer($id, $time, $func, $flag='callback')
{
	if ($flag=='callback') return " window.$id=setInterval(function(){ $func },$time)"; 
	if ($flag=='run') echo "<script> window.$id=setInterval(function(){ $func },$time) </script>"; 
}

function stopTimer($id,$flag='callback') 
{	
	if ($flag=='callback') return "clearInterval($id)"; 
	if ($flag=='run') echo "<script>clearInterval($id)</script>";
}

function pqOnReady($func)
{
	echo "<script> $(document).ready(function() { $func }) </script>" ;
}

function pqOnReadyStart()
{
	echo "<script> $(document).ready(function() { " ;
}

function pqOnReadyStop()
{
	echo "}) </script>" ;
}

function pq($selector)
{
	$obj= new pobObject($selector,'');
	$obj->simbol='';
	return $obj;
}
?>
