<?php
session_start();

class Login {


//--Modificare secondo le proprie esigenze
var	$DSN =  'mysql:host=localhost;dbname=mydb' ;    //'mysql:host=localhost;dbname=immobilcms'
var	$DBUSER = '';
var $DBPASS = '';

//---Ubicazione credenziali nel db
var $DBTABLE   = 'mytable';				// nome tabella contenente gli utenti
var $FIELDUSER = 'user';					// nome campo contenente lo username
var $FIELDPASS = 'pass';					// nome campo contenente la password (codificata come md5sum)
var $FIELDID   = 'id';						// nome campo contenente lo userid
//---------------------------------




//Gli user sono presi dalla variabile di sessione 
// $_SESSION["php_auth_user"]   lo username 
// $_SESSION["php_auth_pass"]   la password
// $_SESSION["php_auth_userid"] lo userid

var $SESSIONUSER='php_auth_user' ;
var $SESSIONPASS='php_auth_pass' ;
var $SESSIONUSERID='php_auth_userid' ;

function  __construct()
{
}

function LoginSession($form=true, $autoExit=true)
{
	
	$AuthErrorMessage='<div align="center"><font color="#FF0000">Login errato</font><br></div>';
	$rowcount=0;
	
	//Connessione al db
	try
	{
		//Instaura la connessione
		$dbh = new PDO($this->DSN, $this->DBUSER, $this->DBPASS);
		
		//Setto il livello di verbosita' per gli errori
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	}
 
	/* Nel caso in cui ci siano errori durante la connessione, 
	 * li cattura nella variabile $myerror e li stampa */
	catch (PDOException $myerror)
	{
		print "Problemi nella connessione al database: <br>" . $myerror->getMessage() . "<br/>";
	}

	@$sql="select * from ". $this->DBTABLE. " where ".$this->FIELDUSER."='".$_SESSION[$this->SESSIONUSER]. "' and ".$this->FIELDPASS."='".$_SESSION[$this->SESSIONPASS]."'";
	
	//Preparo le strutture per contenere la query
	$stmt = $dbh->prepare($sql);
	
	//Controllo se la query è andata a buon fine
    if (! $stmt->execute() ) echo '<font color="#FF0000">Errore nella query '.$sql.'</font><br>';

	
	//conto il numero di righe restituite dalla query
	while ($row = $stmt->fetch(PDO::FETCH_BOUND)) $rowcount++;
	
	
	if ($rowcount!=0)
	{
		//Se sta qui e' autenticato
		$Error="";
		$dbh = null;	
		return true;
	}else{
		if (!isset($_POST["login"]) )
		{
			if ($form==true) @$this->MakeHtmlForm($Error);
		}else{
			$sql="select * from ".$this->DBTABLE. " where ".$this->FIELDUSER."='".$_POST["user"]. "' and ".$this->FIELDPASS."='".$_POST["pass"]."'";
			$stmt = $dbh->prepare($sql);
			if (! $stmt->execute() ) echo'<font color="#FF0000">Errore nella query</font><br>';
			
			 //Scrivo i valori del nome utente e della password su variabili di sessione
			 $_SESSION[$this->SESSIONUSER]=$_POST["user"] ;
			 $_SESSION[$this->SESSIONPASS]=md5($_POST["pass"]);
			 
			 //autentico con le  variabili prese dal form
			 $sql="select * from ". $this->DBTABLE. " where ".$this->FIELDUSER."='".$_POST["user"]. "' and ".$this->FIELDPASS."='".md5($_POST["pass"])."'";
			 $stmt = $dbh->prepare($sql);
			 if (! $stmt->execute() ) echo'<font color="#FF0000">Errore nella query</font><br>';
			 
			 //Prelevo lo userid
			 foreach ($dbh->query($sql) as $row)
			 {
				$_SESSION[$this->SESSIONUSERID]=$row[$this->FIELDID];
				continue;
			 }	
			 
			 //Conto i record
			 $rowcount=0;
			 while ($row = $stmt->fetch(PDO::FETCH_BOUND)) $rowcount++;
			 
			 if ($rowcount!=0)
			 {
				//Se sta qui e' autenticato, ed esce dalla funzione auth();
				$dbh = null;
				return true;
			 }else{
				// credenziali sbagliate
				$Error=$AuthErrorMessage;
				if ($form==true) $this->MakeHtmlForm($Error);
				$dbh = null;
				if ($autoExit==true) exit(1);
				return false;
			 }
		}
		//Non autenticato, cancella le variabili di sessione e esce.
		@session_start();
		@session_destroy();
		if ($autoExit==true) exit(1);
		return false ;
		
	}
	
}

function MakeHtmlForm($Error)
{
	//Disegno il form per l'autenticazione
	echo'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
				<html>
				<head>
				<title>Login</title>
				<style type="text/css">
					body {
						font-size: 0.9em;
						font-family: Geneva, Arial, Helvetica, sans-serif;
					}
					label
					{
						width: 4em;
						float: left;
						text-align: right;
						margin-right: 0.5em;
						display: block
					}

					.submit input
					{
						margin-left: 4.5em;
					}
					input
					{
						color: #535353;
						background: #FFE284;
						border: 1px solid #535353
					}

					.submit input
					{
						color: #000;
						background: #FFE284;
						border: 2px outset #d7b9c9
					}
					fieldset
					{
						border: 1px solid #FFA20C;
						width: 20em
					}

					legend
					{
						color: #fff;
						background: #FFa20c;
						border: 1px solid #535353;
						padding: 2px 6px
					} 
					
				</style>    
				</head>
				<body>';
	echo $Error;			
	echo '<div align="center"><br><br><br><br><br><form action="'.$_SERVER["SCRIPT_NAME"].'" method="post">
			<fieldset>
			<legend>Autenticazione</legend>
							<p><label for="name">Utente</label><input id="user" type="text" name="user"></p>
							<p><label for="pass">Password</label><input id="pass" type="password" name="pass"></p>
							<p><input id="login" type="submit" name="login" value="login"></p>
				</fieldset>
				</form>
				</div>
				</body>
				</html>	';
}


}//fine classe
?>
