<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it" lang="it">
<head>
	
	<!--Includo jquery -->
	<script src="../../deps/jquery-1.9.1.min.js"></script>
	
	<!--Includo pobQuery -->
	<?php	include('../../pobQuery.php'); ?>	
	
	<style>
		.pobEdit{margin-bottom: 15px;	}
		.pobButton{	background-color: #ADD8E6;	}
				
		label {color: gray;  }
		.labeldiv{margin-bottom: -10px}
		.redErr{background-color: #FF0000 ;}
		
	</style>
	
	<title>Test PobQuery</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
</head>

<body>
<h1 align="center">Test pobQuery - <?php echo '(versione '.$pobQueryVersion.')';?></h1>

<fieldset Style="width: 300px" ><legend>Mio form</legend>
<?php 
	//Uso i widget 
	$myNome= new pobEdit("txtNome","pobEdit", "Nome: <br>", "inserisci il tuo nome...");
	$myCognome= new pobEdit("txtCognome","pobEdit", "Cognome: <br>", "inserisci il tuo cognome...");
	$myTel= new pobEdit("txtTel","pobEdit", "Telefono: <br>", "inserisci il tuo telefono...");
	
	$myEta= new pobSelect("cmbEta","","Eta'");
	$myEta->addOption('maggiorenne','Sono maggiorenne','maggiore di 18 anni','','run');
	$myEta->addOption('minorenne','Sono minorenne','minore di 18 anni','','run');
	$myEta->addOption('ND','Non dichiarato','non si vuole dichiarare ',1,'run');
	$myEta->done();
	br(2);
	$myAcconsenti= new pobCheckbox('myAcconsenti','','SI','Acconsenti l\' invio dei dati? ');
	$myAcconsenti->setAttr('checked','checked','run');
	br(2);echo 'Il tuo tipo di alimentazione:';br(1);
	$myDietVeg = new pobRadiobox('myDietVegetariano', 'myDiet', '','vegetariana','Vegetariano' );
	$myDietCar = new pobRadiobox('myDietCarnivoro', 'myDiet', '','carnivora','Carnivoro' );
	$myDietOnn = new pobRadiobox('myDietOnnivoro', 'myDiet', '','onnivora', 'Onnivoro' ); 
	br(2);
	$mybutton= new pobButton("btnButton0", "pobButton", "Invia dati");
	
	
	//parametri fondamentali chiamata ajax
	$myAjax= new pobAjax("POST", "test-grabber.php", "lavagna");
	
	//Aggiungere i dati nella forma: chiave , 'valore'
	$myAjax->addData($myNome->id, $myNome->getText() );
	$myAjax->addData($myCognome->id, $myCognome->getText() );
	$myAjax->addData($myTel->id, $myTel->getText() );
	$myAjax->addData($myEta->id, $myEta->getVal() );
	$myAjax->addData($myAcconsenti->id, $myAcconsenti->getVal() );
	
	$myAjax->addData('myDiet', $myDietVeg->getVal() ); //sono degli radiobox
	$myAjax->addData('myDiet', $myDietCar->getVal() ); //il nome della variabile
	$myAjax->addData('myDiet', $myDietOnn->getVal() ); //deve essere uguale
	
	//callbak stato chiamata ajax
	$myAjax->beforeSend="$('#lavagna').append('Invio in corso...<br>')";
	$myAjax->complete="$('#lavagna').append('Richiesta completata.<br>')";
	$myAjax->error="$('#lavagna').append('Si sono verificati degli errori!<br>')";
	$myAjax->success="$('#lavagna').append('Chiamata ajax eseguita con successo.<br>')";
	
	$mybutton->onClick( $myAjax->send()) ;
	br();
?>
</fieldset>
<div id="lavagna" class="testclass" ></div>

</body>
</html>
 
