<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it" lang="it">
<head>
	<!--Includo jquery -->
	<script src="../../deps/jquery-1.9.1.min.js"></script>
	
	<!--Includo pobQuery -->
	<?php	include('../../core/pobObject.php'); ?>
	<?php	include('../../ui/pobTable.php'); ?>
	<?php	include('../../ui/pobButton.php'); ?>		
	<style>
		table {
				border: 1px Solid #7F7F7F ;
				padding: 3px;
				border-radius:0px 6px 6px;
				box-shadow: 5px 5px 5px #888888;
			 }
		tbody {	background-color: #E5E5E5; 	}
		thead th{ 
					color: white ;
					background-color: #848484;
					border: 1px outset #4D4D4D;
					background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #79bbff), color-stop(1, #378de5) );
					background:-moz-linear-gradient( center top, #79bbff 5%, #378de5 100% );
					filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#79bbff', endColorstr='#378de5');
				} 
				
		tbody tr:hover {	background-color: #CFEAF3;cursor: pointer}
		tbody tr:active {	background-color: #EE5353;}	 
		.fabio{color: green}
			 
	</style>
	<title>Test PobQuery</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
</head>

<body>
<h1 align="center">Test pobQuery  - <?php echo '(versione '.$pobQueryVersion.')';?></h1><br><br>
<?php
	
	$myTable= new pobTable('myTable', '');
	$myTable->addColumn('Nome','width: 100px');
	$myTable->addColumn('Cognome','width: 150px;height:25px');
	$myTable->addColumn('Citta\'');
	$myTable->addColumn('Telefono');
	
	$myTable->tr('alert(\'Fabio Di Matteo\')', '', 'row0');
	$myTable->addCell('Fabio');
	$myTable->addCell('Di Matteo');
	$myTable->addCell('Palermo');
	$myTable->addCell('09143856');
	
	$myTable->tr( 'alert(\'Fabio Di Matteo\')');
	$myTable->addCell('Fabio','','fabio');
	$myTable->addCell('Di Matteo','','fabio');
	$myTable->addCell('Palermo','','fabio');
	$myTable->addCell('09143856','','fabio');
	
	$myTable->tr('alert(\'Fabio Di Matteo\')');
	$myTable->addCell('Fabio');
	$myTable->addCell('Di Matteo');
	$myTable->addCell('Palermo');
	$myTable->addCell('09143856');
	
	$myTable->tr( 'alert(\'Fabio Di Matteo\')');
	$myTable->addCell('Fabio');
	$myTable->addCell('Di Matteo');
	$myTable->addCell('Palermo');
	$myTable->addCell('09143856');
	
	$myTable->tr('','alert(\'menu contestuale\')');
	$myTable->addCell('Gioacchino');
	$myTable->addCell('Di Matteo');
	$myTable->addCell('Palermo');
	$myTable->addCell('0914382764');
	
	$myTable->tr('$(\'#row0\').fadeToggle()');
	$myTable->addCell('Chester');
	$myTable->addCell('Che');
	$myTable->addCell('Palermo');
	$myTable->addCell('--');
	
	$myTable->done();
	
?>	

<?php //Un altro blocco di codice opzionale, giusto per dar senso al bottone
	
	function Add()
	{
		$r='';
		$r=$r. pq("#myTable tbody")->prepend('<tr style="display: none"><td>Monè</td><td>Munnizzaro</td><td>Carini</td><td>4746</td></tr>');
		$r=$r. pq("#myTable tbody tr:first")->fadeToggle(1000,'');
		
		return $r ;
	}
	$myButton= new pobButton('myButton','','Clicca qui');
	$myButton->css('margin-top','20px','run');
	$myButton->onClick(Add());
	
	
?>
</body>
</html>
 
