<?php

class pobLayout extends pobObject
{
	public $id;
	public $cssclass;
	
	public $headers;
	public $leftSidebars;
	public $rightSidebars;
	public $bodies;
	public $footers;
	
	
	
	public function __construct($id, $cssclass='', $left=true, $right=true )
	{
		$this->id= $id;
		$this->cssclass= $cssclass;
		
		echo "
				<div id=\"$id\" class=\"$cssclass\" >
					<div id=\"$id-header\" style=\"width: 100%; \"></div>";
					
					if($left==true) echo "<div id=\"$id-leftSidebar\" style=\"float: left; overflow:auto;\"></div>";
					echo "<div id=\"$id-body\" style=\"float: left; overflow:auto;\"></div>";
					if($right==true) echo "<div id=\"$id-rightSidebar\" style=\"float: right; overflow:auto; \"></div>";
					
					echo "<div id=\"$id-footer\" style=\"float: left;\"></div>
				</div>
		";
		
		
	}
	
	
	public function addHeader($id,$cssclass='', $content='',$url='')
	{
		$this->headers="<div id=\"$id\" class=\"$cssclass\" >$content</div>" ;
		echo "<script>$('#$this->id-header').append('$this->headers') </script>" ;
		if ($url!='') echo "<script>$('#$id').load('$url') </script>" ;
	}
	
	public function addLeftSidebar($id,$cssclass='', $content='',$url='')
	{
		$this->leftSidebars="<div id=\"$id\" class=\"$cssclass\" >$content</div>" ;
		echo "<script>$('#$this->id-leftSidebar').append('$this->leftSidebars') </script>" ;
		if ($url!='') echo "<script>$('#$id').load('$url') </script>" ;
	}
	
	public function addBody($id,$cssclass='', $content='',$url='')
	{
		$this->bodies="<div id=\"$id\" class=\"$cssclass\" >$content</div>" ;
		echo "<script>$('#$this->id-body').append('$this->bodies') </script>" ;
		if ($url!='') echo "<script>$('#$id').load('$url') </script>" ;
	}
	
	public function addRightSidebar($id,$cssclass='', $content='',$url='')
	{
		$this->rightSidebars="<div id=\"$id\" class=\"$cssclass\" >$content</div>" ;
		echo "<script>$('#$this->id-rightSidebar').append('$this->rightSidebars') </script>" ;
		if ($url!='') echo "<script>$('#$id').load('$url') </script>" ;
	}
	
	public function addFooter($id,$cssclass='', $content='',$url='')
	{
		$this->footers="<div id=\"$id\" class=\"$cssclass\" >$content</div>" ;
		echo "<script>$('#$this->id-footer').append('$this->footers') </script>" ;
		if ($url!='') echo "<script>$('#$id').load('$url') </script>" ;
	}
	
	public function maximize($offset=60)
	{
		echo "
		<script>
				jQuery(function(){
						$(window).bind('ready resize', function() {
							$('#$this->id-leftSidebar').height(  $(window).height()-$offset );
							$('#$this->id-rightSidebar').height(  $(window).height()-$offset );
							
							$('#$this->id-body').css( 'max-height', $(window).height()-$offset+'px'  );
							$('#$this->id-body').width($('#$this->id-header').width()-$('#$this->id-leftSidebar').width()-$('#$this->id-rightSidebar').width()-60 );
							$('#$this->id-body').height(  $(window).height()-$offset );
							$('#$this->id-footer').width(  $('#$this->id-header').width() );
							$('#$this->id').height(  $('#$this->id-leftSidebar').height() +$('#$this->id-header').height()+$('#$this->id-footer').height() );
							
						});
					});
		</script>
		";
	}
	
	public function __destruct()
	{
		// ...
	}
} 




?>
