<?php


class pobAjax
{
	public $type;
	public $url;
	public $data;
	public $divOutput;
	public $error;
	public $beforeSend;
	public $complete;
	public $success;
	
	private $addCount= 0 ;
	
	
	public function __construct($type, $url, $divOutput)
	{
		$this->type=$type;
		$this->url=$url;
		$this->divOutput=$divOutput;
	}

	public function addData($key, $value)
	{
		$comma='';
		if ($this->addCount>0) $comma=',';
		$this->data=$this->data.$comma." ".$key." : ".$value." " ;
		$this->addCount++ ;
	}
	
	public function send($flag='callback')
	{
		if ($flag=='callback')
			return "$.ajax({
							  type: '".$this->type."',
							  url: '".$this->url."',
							  data: {".$this->data."},
							  dataType: 'html',
							  success: function(msg){ $('#".$this->divOutput."').html(msg); ".$this->success." },
							  beforeSend: function(){ ".$this->beforeSend." },
							  complete: function(){ ".$this->complete." },
							  error: function(){".$this->error."  }
					});		 " ;
		
		if ($flag=='run')
			echo "<script>
						$.ajax({
							  type: '".$this->type."',
							  url: '".$this->url."',
							  data: {".$this->data."},
							  dataType: 'html',
							  success: function(msg){ $('#".$this->divOutput."').html(msg);  },
							  beforeSend: function(){ ".$this->beforeSend." },
							  complete: function(){ ".$this->complete." },
							  error: function(){".$this->error."  }
							});
							
					</script>";				
	}
	
	
	public function sendForm($form,$flag='run') 
	{
		if ($flag=='callback')
			return "$(document).ready(function() {
						$('".$form."').submit(function(event){
							var querystring = $('".$form."').serialize();
							$.ajax({
								  type: '".$this->type."',
								  url: '".$this->url."',
								  data: querystring,
								  dataType: 'html',
								  success: function(msg){ $('#".$this->divOutput."').html(msg); ".$this->success." },
								  beforeSend: function(){ ".$this->beforeSend." },
								  complete: function(){ ".$this->complete." },
								  error: function(){".$this->error."  }
								});
							event.preventDefault();
							});	
						}) " ;
		
		if ($flag=='run')
			echo "<script>
					$(document).ready(function() {
						$('".$form."').submit(function(event){
							var querystring = $('".$form."').serialize();
							$.ajax({
								  type: '".$this->type."',
								  url: '".$this->url."',
								  data: querystring,
								  dataType: 'html',
								  success: function(msg){ $('#".$this->divOutput."').html(msg); ".$this->success." },
								  beforeSend: function(){ ".$this->beforeSend." },
								  complete: function(){ ".$this->complete." },
								  error: function(){".$this->error."  }
								});
							event.preventDefault();
							});	
					}) 		
					</script>";
	}
	
	public function __destruct()
	{
		// ...
	}



}
?>
